Is VirtualBox now compatible with Grsecurity?

Discuss usability issues, general maintenance, and general support issues for a grsecurity-enabled system.

Moderators: spender, PaX Team

Is VirtualBox now compatible with Grsecurity?

Postby fredd-d » Mon Aug 25, 2014 11:49 pm

I have read in a 2-year-old post here that VirtualBox is not compatible with some of the essential security features of Grsecurity.
viewtopic.php?f=3&t=3015#p12027

And someone posted something similar a few months back on their personal blog, but I have no idea how reliable that person's impressions are.
http://astr0baby.wordpress.com/2013/09/ ... ed-kernel/

So what is the current status? Are Grsecurity and PAX more or less compatible with VirtualBox now?
fredd-d
 
Posts: 3
Joined: Tue Jun 10, 2014 5:11 am

Return to grsecurity support